SUSE: 2019:2157-1 important: qemu

    Date06 Sep 2019
    CategorySuSE
    241
    Posted ByLinuxSecurity Advisories
    An update that fixes three vulnerabilities is now available.
    
       SUSE Security Update: Security update for qemu
    ______________________________________________________________________________
    
    Announcement ID:    SUSE-SU-2019:2157-1
    Rating:             important
    References:         #1135902 #1140402 #1143794 
    Cross-References:   CVE-2019-12155 CVE-2019-13164 CVE-2019-14378
                       
    Affected Products:
                        SUSE OpenStack Cloud 7
                        SUSE Linux Enterprise Server for SAP 12-SP2
                        SUSE Linux Enterprise Server 12-SP2-LTSS
                        SUSE Linux Enterprise Server 12-SP2-BCL
                        SUSE Enterprise Storage 4
    ______________________________________________________________________________
    
       An update that fixes three vulnerabilities is now available.
    
    Description:
    
       This update for qemu fixes the following issues:
    
       Security issues fixed:
    
       - CVE-2019-14378: Security fix for heap overflow in ip_reass on big packet
         input (bsc#1143794).
       - CVE-2019-12155: Security fix for null pointer dereference while
         releasing spice resources (bsc#1135902).
       - CVE-2019-13164: Security fix for qemu-bridge-helper ACL can be bypassed
         when names are too long (bsc#1140402).
    
    
    Patch Instructions:
    
       To install this SUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - SUSE OpenStack Cloud 7:
    
          zypper in -t patch SUSE-OpenStack-Cloud-7-2019-2157=1
    
       - SUSE Linux Enterprise Server for SAP 12-SP2:
    
          zypper in -t patch SUSE-SLE-SAP-12-SP2-2019-2157=1
    
       - SUSE Linux Enterprise Server 12-SP2-LTSS:
    
          zypper in -t patch SUSE-SLE-SERVER-12-SP2-2019-2157=1
    
       - SUSE Linux Enterprise Server 12-SP2-BCL:
    
          zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2019-2157=1
    
       - SUSE Enterprise Storage 4:
    
          zypper in -t patch SUSE-Storage-4-2019-2157=1
    
    
    
    Package List:
    
       - SUSE OpenStack Cloud 7 (s390x x86_64):
    
          qemu-2.6.2-41.55.1
          qemu-block-curl-2.6.2-41.55.1
          qemu-block-curl-debuginfo-2.6.2-41.55.1
          qemu-block-ssh-2.6.2-41.55.1
          qemu-block-ssh-debuginfo-2.6.2-41.55.1
          qemu-debugsource-2.6.2-41.55.1
          qemu-guest-agent-2.6.2-41.55.1
          qemu-guest-agent-debuginfo-2.6.2-41.55.1
          qemu-kvm-2.6.2-41.55.1
          qemu-lang-2.6.2-41.55.1
          qemu-tools-2.6.2-41.55.1
          qemu-tools-debuginfo-2.6.2-41.55.1
    
       - SUSE OpenStack Cloud 7 (noarch):
    
          qemu-ipxe-1.0.0-41.55.1
          qemu-seabios-1.9.1-41.55.1
          qemu-sgabios-8-41.55.1
          qemu-vgabios-1.9.1-41.55.1
    
       - SUSE OpenStack Cloud 7 (x86_64):
    
          qemu-block-rbd-2.6.2-41.55.1
          qemu-block-rbd-debuginfo-2.6.2-41.55.1
          qemu-x86-2.6.2-41.55.1
          qemu-x86-debuginfo-2.6.2-41.55.1
    
       - SUSE OpenStack Cloud 7 (s390x):
    
          qemu-s390-2.6.2-41.55.1
          qemu-s390-debuginfo-2.6.2-41.55.1
    
       - SUSE Linux Enterprise Server for SAP 12-SP2 (ppc64le x86_64):
    
          qemu-2.6.2-41.55.1
          qemu-block-curl-2.6.2-41.55.1
          qemu-block-curl-debuginfo-2.6.2-41.55.1
          qemu-block-ssh-2.6.2-41.55.1
          qemu-block-ssh-debuginfo-2.6.2-41.55.1
          qemu-debugsource-2.6.2-41.55.1
          qemu-guest-agent-2.6.2-41.55.1
          qemu-guest-agent-debuginfo-2.6.2-41.55.1
          qemu-lang-2.6.2-41.55.1
          qemu-tools-2.6.2-41.55.1
          qemu-tools-debuginfo-2.6.2-41.55.1
    
       - SUSE Linux Enterprise Server for SAP 12-SP2 (ppc64le):
    
          qemu-ppc-2.6.2-41.55.1
          qemu-ppc-debuginfo-2.6.2-41.55.1
    
       - SUSE Linux Enterprise Server for SAP 12-SP2 (x86_64):
    
          qemu-block-rbd-2.6.2-41.55.1
          qemu-block-rbd-debuginfo-2.6.2-41.55.1
          qemu-kvm-2.6.2-41.55.1
          qemu-x86-2.6.2-41.55.1
          qemu-x86-debuginfo-2.6.2-41.55.1
    
       - SUSE Linux Enterprise Server for SAP 12-SP2 (noarch):
    
          qemu-ipxe-1.0.0-41.55.1
          qemu-seabios-1.9.1-41.55.1
          qemu-sgabios-8-41.55.1
          qemu-vgabios-1.9.1-41.55.1
    
       - SUSE Linux Enterprise Server 12-SP2-LTSS (ppc64le s390x x86_64):
    
          qemu-2.6.2-41.55.1
          qemu-block-curl-2.6.2-41.55.1
          qemu-block-curl-debuginfo-2.6.2-41.55.1
          qemu-block-ssh-2.6.2-41.55.1
          qemu-block-ssh-debuginfo-2.6.2-41.55.1
          qemu-debugsource-2.6.2-41.55.1
          qemu-guest-agent-2.6.2-41.55.1
          qemu-guest-agent-debuginfo-2.6.2-41.55.1
          qemu-lang-2.6.2-41.55.1
          qemu-tools-2.6.2-41.55.1
          qemu-tools-debuginfo-2.6.2-41.55.1
    
       - SUSE Linux Enterprise Server 12-SP2-LTSS (s390x x86_64):
    
          qemu-kvm-2.6.2-41.55.1
    
       - SUSE Linux Enterprise Server 12-SP2-LTSS (ppc64le):
    
          qemu-ppc-2.6.2-41.55.1
          qemu-ppc-debuginfo-2.6.2-41.55.1
    
       - SUSE Linux Enterprise Server 12-SP2-LTSS (x86_64):
    
          qemu-block-rbd-2.6.2-41.55.1
          qemu-block-rbd-debuginfo-2.6.2-41.55.1
          qemu-x86-2.6.2-41.55.1
          qemu-x86-debuginfo-2.6.2-41.55.1
    
       - SUSE Linux Enterprise Server 12-SP2-LTSS (noarch):
    
          qemu-ipxe-1.0.0-41.55.1
          qemu-seabios-1.9.1-41.55.1
          qemu-sgabios-8-41.55.1
          qemu-vgabios-1.9.1-41.55.1
    
       - SUSE Linux Enterprise Server 12-SP2-LTSS (s390x):
    
          qemu-s390-2.6.2-41.55.1
          qemu-s390-debuginfo-2.6.2-41.55.1
    
       - SUSE Linux Enterprise Server 12-SP2-BCL (noarch):
    
          qemu-ipxe-1.0.0-41.55.1
          qemu-seabios-1.9.1-41.55.1
          qemu-sgabios-8-41.55.1
          qemu-vgabios-1.9.1-41.55.1
    
       - SUSE Linux Enterprise Server 12-SP2-BCL (x86_64):
    
          qemu-2.6.2-41.55.1
          qemu-block-curl-2.6.2-41.55.1
          qemu-block-curl-debuginfo-2.6.2-41.55.1
          qemu-block-rbd-2.6.2-41.55.1
          qemu-block-rbd-debuginfo-2.6.2-41.55.1
          qemu-block-ssh-2.6.2-41.55.1
          qemu-block-ssh-debuginfo-2.6.2-41.55.1
          qemu-debugsource-2.6.2-41.55.1
          qemu-guest-agent-2.6.2-41.55.1
          qemu-guest-agent-debuginfo-2.6.2-41.55.1
          qemu-kvm-2.6.2-41.55.1
          qemu-lang-2.6.2-41.55.1
          qemu-tools-2.6.2-41.55.1
          qemu-tools-debuginfo-2.6.2-41.55.1
          qemu-x86-2.6.2-41.55.1
          qemu-x86-debuginfo-2.6.2-41.55.1
    
       - SUSE Enterprise Storage 4 (noarch):
    
          qemu-ipxe-1.0.0-41.55.1
          qemu-seabios-1.9.1-41.55.1
          qemu-sgabios-8-41.55.1
          qemu-vgabios-1.9.1-41.55.1
    
       - SUSE Enterprise Storage 4 (x86_64):
    
          qemu-2.6.2-41.55.1
          qemu-block-curl-2.6.2-41.55.1
          qemu-block-curl-debuginfo-2.6.2-41.55.1
          qemu-block-rbd-2.6.2-41.55.1
          qemu-block-rbd-debuginfo-2.6.2-41.55.1
          qemu-block-ssh-2.6.2-41.55.1
          qemu-block-ssh-debuginfo-2.6.2-41.55.1
          qemu-debugsource-2.6.2-41.55.1
          qemu-guest-agent-2.6.2-41.55.1
          qemu-guest-agent-debuginfo-2.6.2-41.55.1
          qemu-kvm-2.6.2-41.55.1
          qemu-lang-2.6.2-41.55.1
          qemu-tools-2.6.2-41.55.1
          qemu-tools-debuginfo-2.6.2-41.55.1
          qemu-x86-2.6.2-41.55.1
          qemu-x86-debuginfo-2.6.2-41.55.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2019-12155.html
       https://www.suse.com/security/cve/CVE-2019-13164.html
       https://www.suse.com/security/cve/CVE-2019-14378.html
       https://bugzilla.suse.com/1135902
       https://bugzilla.suse.com/1140402
       https://bugzilla.suse.com/1143794
    
    _______________________________________________
    sle-security-updates mailing list
    This email address is being protected from spambots. You need JavaScript enabled to view it.
    http://lists.suse.com/mailman/listinfo/sle-security-updates
    
    You are not authorised to post comments.

    Comments powered by CComment

    LinuxSecurity Poll

    What do you think of the articles on LinuxSecurity?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/24-what-do-you-think-of-the-quality-of-the-articles-on-linuxsecurity?task=poll.vote&format=json
    24
    radio
    [{"id":"87","title":"Excellent, don't change a thing!","votes":"25","type":"x","order":"1","pct":55.56,"resources":[]},{"id":"88","title":"Should be more technical","votes":"5","type":"x","order":"2","pct":11.11,"resources":[]},{"id":"89","title":"Should include more HOWTOs","votes":"15","type":"x","order":"3","pct":33.33,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.